Get delivery log
curl --request GET \
--url https://api.withconvexity.com/v1/indexer/logs/{logId} \
--header 'Authorization: Bearer <token>'{
"status": true,
"message": "Project log",
"data": {
"id": "665f1b9e0a2c4d6e8f0a1b2c",
"projectId": "proj_9f8e7d6c5b4a",
"subscriptionId": "665f1a2b3c4d5e6f7a8b9c0d",
"network": "BASE",
"contractAddress": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
"eventType": "transfer",
"eventId": "0x9c3eab12f7d0a4c5b6e7f8091a2b3c4d5e6f70819a2b3c4d5e6f7081d41a0000:7",
"transactionHash": "0x9c3eab12f7d0a4c5b6e7f8091a2b3c4d5e6f70819a2b3c4d5e6f7081d41a0000",
"webhookUrl": "https://api.merchant.example/webhooks/indexer",
"status": "failed",
"httpStatus": 503,
"error": "connect ETIMEDOUT",
"isReplay": false,
"replayOf": null,
"payload": {
"id": "0x9c3eab12f7d0a4c5b6e7f8091a2b3c4d5e6f70819a2b3c4d5e6f7081d41a0000:7",
"network": "BASE",
"contractAddress": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
"eventType": "transfer",
"transactionHash": "0x9c3eab12f7d0a4c5b6e7f8091a2b3c4d5e6f70819a2b3c4d5e6f7081d41a0000",
"blockNumber": 18234567,
"from": "0x1111111111111111111111111111111111111111",
"to": "0x2222222222222222222222222222222222222222",
"amount": "1500000",
"status": "success",
"timestamp": 1781773262000
},
"createdAt": "2026-06-17T10:01:02.557Z",
"updatedAt": "2026-06-17T10:01:05.331Z"
}
}Blockchain Events
Get delivery log
Fetches one delivery log. Requires indexer.history.read.
GET
/
v1
/
indexer
/
logs
/
{logId}
Get delivery log
curl --request GET \
--url https://api.withconvexity.com/v1/indexer/logs/{logId} \
--header 'Authorization: Bearer <token>'{
"status": true,
"message": "Project log",
"data": {
"id": "665f1b9e0a2c4d6e8f0a1b2c",
"projectId": "proj_9f8e7d6c5b4a",
"subscriptionId": "665f1a2b3c4d5e6f7a8b9c0d",
"network": "BASE",
"contractAddress": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
"eventType": "transfer",
"eventId": "0x9c3eab12f7d0a4c5b6e7f8091a2b3c4d5e6f70819a2b3c4d5e6f7081d41a0000:7",
"transactionHash": "0x9c3eab12f7d0a4c5b6e7f8091a2b3c4d5e6f70819a2b3c4d5e6f7081d41a0000",
"webhookUrl": "https://api.merchant.example/webhooks/indexer",
"status": "failed",
"httpStatus": 503,
"error": "connect ETIMEDOUT",
"isReplay": false,
"replayOf": null,
"payload": {
"id": "0x9c3eab12f7d0a4c5b6e7f8091a2b3c4d5e6f70819a2b3c4d5e6f7081d41a0000:7",
"network": "BASE",
"contractAddress": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
"eventType": "transfer",
"transactionHash": "0x9c3eab12f7d0a4c5b6e7f8091a2b3c4d5e6f70819a2b3c4d5e6f7081d41a0000",
"blockNumber": 18234567,
"from": "0x1111111111111111111111111111111111111111",
"to": "0x2222222222222222222222222222222222222222",
"amount": "1500000",
"status": "success",
"timestamp": 1781773262000
},
"createdAt": "2026-06-17T10:01:02.557Z",
"updatedAt": "2026-06-17T10:01:05.331Z"
}
}⌘I
